## GtkItem GtkItem |

## Functions

void | gtk_item_select ()
void | gtk_item_deselect ()
void | gtk_item_toggle ()

## Signals

void | deselect | Run First
void | select | Run First
void | toggle | Run First

## Types and Values

struct | GtkItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkItem
                                ├── GtkMenuItem
                                ├── GtkListItem
                                ╰── GtkTreeItem

## Implemented Interfaces

GtkItem implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_item_select ()

    void
    gtk_item_select (GtkItem *item);

`gtk_item_select` is deprecated and should not be used in newly-written code.

### gtk_item_deselect ()

    void
    gtk_item_deselect (GtkItem *item);

`gtk_item_deselect` is deprecated and should not be used in newly-written code.

### gtk_item_toggle ()

    void
    gtk_item_toggle (GtkItem *item);

`gtk_item_toggle` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkItem

    struct GtkItem;

## Signal Details

### The `“deselect”` signal

    void
    user_function (GtkItem *item,
                   gpointer user_data)

Flags: Run First

### The `“select”` signal

    void
    user_function (GtkItem *item,
                   gpointer user_data)

Flags: Run First

### The `“toggle”` signal

    void
    user_function (GtkItem *item,
                   gpointer user_data)

Flags: Run First